Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class ChangeLabelIDEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.ChangeLabelIDEdit

All Implemented Interfaces:
  UndoableEdit

    public class ChangeLabelIDEdit

extends DocumentEdit

Changes the IDs of a specified group of labels.

This class should only be used to change the IDs of labels and not to rename an ID in the document, because it informs document listeners only about general changes in the document and not about a renamed ID. For this case `RenameDataIDEdit` should be used.

Author:
  Ben Stöver

Field Summary
`private Label[]` | `labels`
`private String` | `newID`
`private String[]` | `oldIDs`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`ChangeLabelIDEdit(Document document, String newID, Label[] labels)`

Method Summary
`String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newID

    private String newID

### labels

    private Label[] labels

### oldIDs

    private String[] oldIDs

Constructor Detail

### ChangeLabelIDEdit

    public ChangeLabelIDEdit(Document document,
                             String newID,
                             Label[] labels)

Method Detail

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD